#ifndef FRIEND_HPP_INCLUDED
#define FRIEND_HPP_INCLUDED

#include "Talkable.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class Friend : public Talkable
    {
        public:
            Friend(const void* Obj);

            Friend() = default;
            Friend(Friend&& Obj) = default;
            Friend(const Friend& Obj) = default;
            Friend& operator=(Friend&& Obj) = default;
            Friend& operator=(const Friend& Obj) = default;

            static Class GetClass();

    };
}

#endif // FRIEND_HPP_INCLUDED
